### Classes and interfaces

# Crypt_Hash¶

Pure-PHP implementations of keyed-hash message authentication codes (HMACs) and various cryptographic hashing functions.

« More »

### Constants

## CRYPT_HASH_MODE

    CRYPT_HASH_MODE

## Toggles the hash() implementation, which works on PHP 5.1.2+.

    CRYPT_HASH_MODE_HASH

## Toggles the internal implementation

    CRYPT_HASH_MODE_INTERNAL

## Toggles the mhash() implementation, which has been deprecated on PHP 5.3.0+.

    CRYPT_HASH_MODE_MHASH